// countdown.cpp : Defines the class behaviors for the application.
//
// Copyright 2003, Ilya Mironov & Dmitry Teytelman

#include "stdafx.h"
#include "countdown.h"
#include "synthesis.h"
#include "ChooseGame.h"
#include "wincomm/mcr.h"
#include "wincomm/serial.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CcountdownApp

BEGIN_MESSAGE_MAP(CcountdownApp, CWinApp)
	ON_COMMAND(ID_HELP, CWinApp::OnHelp)
END_MESSAGE_MAP()


// CcountdownApp construction

CcountdownApp::CcountdownApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only CcountdownApp object

CcountdownApp theApp;
CSynthesis* pSynthesis;

// CcountdownApp initialization

BOOL CcountdownApp::InitInstance()
{
	// InitCommonControls() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	InitCommonControls();

	CWinApp::InitInstance();

	AfxEnableControlContainer();

	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);

	if(cmdInfo.m_strFileName.CompareNoCase("com1") == 0)
		_tcscpy(COMPORT , _T("com1"));
	else if(cmdInfo.m_strFileName.CompareNoCase("com2") == 0)
		_tcscpy(COMPORT , _T("com2"));
	else if(cmdInfo.m_strFileName.CompareNoCase("con") == 0)
		_tcscpy(COMPORT , _T("con"));


	CChooseGame chooseGame;
	currGame = (GAMETYPE) chooseGame.DoModal();

	if(currGame == GAMENONE) return FALSE;

	CString strTitle;

	switch(currGame){
		case GAMEBRAINCION:
			strTitle = "";
			break;
		case GAMEBRAINMULT:
			strTitle = "";
			break;
		case GAMEBRAINRING:
			strTitle = "-";
			currTeams = 2;
			break;
		case GAMESVOYAK:
			strTitle = " ";
			break;
	}

	bKeyboard = (strcmp(COMPORT, "CON") == 0);

	CSynthesis synthesis(strTitle);
	m_pMainWnd = &synthesis;
	pSynthesis = &synthesis;

	INT_PTR nResponse = synthesis.DoModal();

	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.


	return FALSE;
}

 BOOL CcountdownApp::ProcessMessageFilter(int code, LPMSG lpMsg)
      {
              // Check to make sure countdownDlg is up
           if (m_hwndDialog != NULL)
              {
             if ((lpMsg->hwnd == m_hwndDialog) ||
                 ::IsChild(m_hwndDialog, lpMsg->hwnd))
                // Use ::IsChild to get messages that may be going
                // to the dialog's controls.  In the case of
                // WM_KEYDOWN this is required.
             {
				 if (lpMsg->message == WM_KEYDOWN){
					 if((strcmp(COMPORT, "CON") == 0) && (lpMsg->wParam >= '1') && (lpMsg->wParam <= '9')){
						 mcrAddMsg(NULL, lpMsg->wParam - '1');
						 return TRUE;
					 }

					 if((strcmp(COMPORT, "CON") == 0) && (lpMsg->wParam >= 'A') && (lpMsg->wParam <= 'C')){ // buttons 10, 11, 12
						 mcrAddMsg(NULL, lpMsg->wParam - 'A' + 9);
						 return TRUE;
					 }

					 if(lpMsg->wParam == VK_ESCAPE){
						 return TRUE;
					 }
				 }
             }
	          }
          // Default processing of the message.
           return CWinApp::ProcessMessageFilter(code, lpMsg);
      }
