// countdownDlg.h : header file
//
// Copyright 2003, Ilya Mironov & Dmitry Teytelman

#pragma once
#include "afxwin.h"
#include <atlimage.h>
#include "clabel\label.h"
#include "scoretable.h"

extern TCHAR COMPORT[];

enum BRSTATE {BRBREAK, BRQUESTION, BRDELAY, BRBEEP1, BRBEEP2, BRMINUTE, BRSECOND, BRANSWERING}; // states of the Brainring automaton

enum BMSTATE {BMBREAK, BMQUESTION, BMBEEP1, BMBEEP2, BMSECOND, BMMINUTE, BMANSWERING}; // states of the Brainmult automaton

enum SISTATE {SIBREAK, SITIMER, SIANSWERING, SICOOLOFF}; // states of the Svoyak automaton

// CcountdownDlg dialog
class CcountdownDlg : public CPropertyPage
{
// Construction
	DECLARE_DYNAMIC(CcountdownDlg)

public:
	CcountdownDlg(int _IDD = CcountdownDlg::IDD);	// standard constructor

// Dialog Data
	enum {IDD = IDD_COUNTDOWN_DIALOG};
	class CTeamScorecard{
	public:
		CStatic m_tnum;
		CStatic m_tname;
		CStatic m_tmoney;
		CStatic m_tpoints;
	};
	CTeamScorecard m_teamcards[MAXTEAMS];

protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;
	HANDLE	hComPort;
	CFont fontCounter;
	COLORREF currTimerColor;
	CFont m_choicefont;
	CFont m_scorefont;

	void ResetTimer(bool newTimer);
	void MakeBeepBR(BRSTATE newBRState);
	void MakeBeepBM(BMSTATE newBMState);
	void QuestionExpires();
	void InvalidateCounter();
	void PlayTeamSound(int nTeam);


	// Generated message map functions

	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	

	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnTimer(UINT nIDEvent);
	void UpdateCounter();
	virtual void SetTeamName(int n, CString s);
	
	afx_msg void OnBnClickedStop();
	afx_msg void OnBnClickedStart60();
	CButton CBStart60;
	CButton CBStop;
	afx_msg void OnBnClickedStart30();
	afx_msg void OnBnClickedResume();
	afx_msg void OnOK(){};
	virtual BOOL OnSetActive();
	virtual BOOL OnInitDialog();

	CButton CBStart30;
	afx_msg void OnDestroy();
	CLabel labelSold;
	void SetCounter(int nCounter, COLORREF nColor);
	void ProcessBid(int nTeam, int nBid);
	void ProcessIntroduction(int nButton);
	unsigned short RemoveBounce(unsigned short mask, unsigned long timer);

	bool CanAnswer(int nTeam);

	virtual void ArrangeScores();

	CLabel m_bidderName;
	virtual void OnCancel();
	afx_msg void OnBnClickedReset();
	CStatic m_labelcredit;
	CComboBox m_questionvalue;
	CStatic m_labelquestionvalue;
	CStatic m_labelbutton;
	CStatic m_labelname;
	CStatic m_labelscore;
	CButton m_buttonreset;
	CLabel m_timer2;
	CLabel m_timer1;
	CLabel m_timer3;
	CButton m_multiply2;
	afx_msg void OnBnClickedCheck1();
	afx_msg void OnCbnSelchangeCombo1();
	afx_msg void OnBnClickedCheck2();
	CButton m_transparent;
//	afx_msg void OnActivate(UINT nState, CWnd* pWndOther, BOOL bMinimized);
};
