// Copyright 2003, Ilya Mironov & Dmitry Teytelman

#include "stdafx.h"
#include "countdown.h"
#include "countdowndlgbrain.h"

IMPLEMENT_DYNAMIC(CcountdownDlgBrain, CcountdownDlg)
CcountdownDlgBrain::CcountdownDlgBrain():
	CcountdownDlg(CcountdownDlgBrain::IDD)
{
}

CcountdownDlgBrain::~CcountdownDlgBrain(void)
{
}

void CcountdownDlgBrain::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_START60B, CBStart60);
	DDX_Control(pDX, IDC_STOPB, CBStop);
	DDX_Control(pDX, IDC_START30B, CBStart30);
	DDX_Control(pDX, IDC_SOLDB, labelSold);
	DDX_Control(pDX, IDC_BIDDERNAMEB, m_bidderName);
	DDX_Control(pDX, IDC_TNUM1B, m_teamcards[0].m_tnum);
	DDX_Control(pDX, IDC_TNAME1B, m_teamcards[0].m_tname);
	DDX_Control(pDX, IDC_TPOINTS1B, m_teamcards[0].m_tpoints);
	DDX_Control(pDX, IDC_TMONEY1B, m_teamcards[0].m_tmoney);
	DDX_Control(pDX, IDC_TNUM2B, m_teamcards[1].m_tnum);
	DDX_Control(pDX, IDC_TNAME2B, m_teamcards[1].m_tname);
	DDX_Control(pDX, IDC_TPOINTS2B, m_teamcards[1].m_tpoints);
	DDX_Control(pDX, IDC_TMONEY2B, m_teamcards[1].m_tmoney);
	DDX_Control(pDX, IDC_COMBO1B, m_questionvalue);
	DDX_Control(pDX, IDC_LABELQUESTIONVALUEB, m_labelquestionvalue);
	DDX_Control(pDX, IDC_RESETB, m_buttonreset);
	DDX_Control(pDX, IDC_TIMER2B, m_timer2);
	DDX_Control(pDX, IDC_TIMER1B, m_timer1);
	DDX_Control(pDX, IDC_TIMER3B, m_timer3);
	DDX_Control(pDX, IDC_CHECK1B, m_multiply2);
	DDX_Control(pDX, IDC_COLON, m_colon);
}

BEGIN_MESSAGE_MAP(CcountdownDlgBrain, CPropertyPage)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_WM_TIMER()
	ON_BN_CLICKED(IDC_STOPB, OnBnClickedStop)
	ON_BN_CLICKED(IDC_START60B, OnBnClickedStart60)
	ON_BN_CLICKED(IDC_START30B, OnBnClickedStart30)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_RESETB, OnBnClickedReset)
	ON_BN_CLICKED(IDC_CHECK1B, OnBnClickedCheck1)
	ON_CBN_SELCHANGE(IDC_COMBO1B, OnCbnSelchangeCombo1)
//	ON_BN_CLICKED(IDC_START60B, OnBnClickedStart60b)
END_MESSAGE_MAP()


BOOL CcountdownDlgBrain::OnInitDialog()
{
	CcountdownDlg::OnInitDialog();

	m_pointfont.CreateFont(144, 0, 0, 0, FW_BOLD, 0, 0, 0, 0, 0, 0, 0, 0, "Arial");
	m_namefont.CreateFont(48, 0, 0, 0, FW_BOLD, 0, 0, 0, 0, 0, 0, 0, 0, "Arial");

	for(int i = 0; i < currTeams; i++){
		m_teamcards[i].m_tpoints.SetFont(&m_pointfont);
		m_teamcards[i].m_tname.SetFont(&m_namefont);
	}
	m_colon.SetFontBold(true);
	m_colon.SetFontName(TEXT("Arial"));
	m_colon.SetFontSize(144);
	m_colon.SetTransparency(true);

	return TRUE;
}
//void CcountdownDlgBrain::OnBnClickedStart60b()
//{
//	// TODO: Add your control notification handler code here
//}
