// Hardware initialization code
// Copyright 2003, Ilya Mironov & Dmitry Teytelman

#include <8052.h>

#include "buttons.h"

void hwinit(void)
{
  PCON = 0x80;  /* power control byte, set SMOD bit for serial port */
  SCON = 0x50;  /* serial control byte, mode 1, RI active */
  TMOD = 0x22;  /* timer control mode, byte operation */
  TCON = 0;     /* timer control register, byte operation */
  
  // Set up P0 and P2 as inputs
  P0 = 0xff;
  P1 = 0xff;

  TH0 = TH0INIT; /* Timer 0 reload value */
  TR0 = 1;      /* Start timer 0 */

  TH1 = TH1INIT;/* serial reload value */

  TR1 = 1;      /* start serial timer */
  TR0 = 1;      /* start timer0 */

  ET0 = 1;      /* Enable Timer 0 overflow interrupt IE.1 */
  ES  = 1;	/* Enable serial interrupt */
  EA = 1;       /* Enable Interrupts */

  TI = 0;       /* clear this out */
}
