// 100 usec timer interrupt handling routine
// Copyright 2003, Ilya Mironov & Dmitry Teytelman

#include <8052.h>

#include "buttons.h"

static unsigned long timerCnt;
idata unsigned int old_ports;

extern idata event clicks[NUMBUTTONS];
extern idata unsigned int mask;

void TimerIrqHandler(void) interrupt 1 using 1
{
  unsigned char idx;
  unsigned int ports, tmp;

  // Increment the counter
  timerCnt++;
  
  // Read the ports
  ports = (P0 | ((unsigned int)P2 << 8));
  
  tmp = ports;
  ports &= ~old_ports;
  
  if (ports)
    for (idx=0; idx<NUMBUTTONS; idx++)
      if ((ports & (unsigned int)1<<idx) && !(mask & ((unsigned int)1<<idx)))
      {
        mask |= (unsigned int)1<<idx;
        clicks[idx].timer = timerCnt;
      }
        
  old_ports = tmp;
}

unsigned long RdTimer(void)
{
  unsigned long timer;
  
  // Disable timer 0 interrupts
  ET0 = 0;
  
  timer = timerCnt;
  
  // Enable interrupts
  ET0 = 1;
  
  return timer;
}

void ClrTimer(void)
{
  ET0 = 0;
  
  timerCnt = 0;
  
  ET0 = 1;
}
