// logtab.cpp : implementation file
//
// Copyright 2003, Ilya Mironov & Dmitry Teytelman

#include "stdafx.h"
#include "countdown.h"
#include "logtab.h"
#include "scoretable.h"


// Clogtab dialog

IMPLEMENT_DYNAMIC(Clogtab, CPropertyPage)
Clogtab::Clogtab()
	: CPropertyPage(Clogtab::IDD, IDS_LOG)
{
}

Clogtab::~Clogtab()
{
}

void Clogtab::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_EDIT1, m_logEdit);
}


BEGIN_MESSAGE_MAP(Clogtab, CPropertyPage)
	ON_BN_CLICKED(IDC_BUTTON1, OnBnClickedButton1)
	ON_BN_CLICKED(IDC_BUTTON2, OnBnClickedButton2)
//	ON_WM_ACTIVATE()
//ON_WM_ACTIVATE()
END_MESSAGE_MAP()


// Clogtab message handlers
void Clogtab::LoadFile(){
	m_logEdit.SetWindowText("");
	CStdioFile fileLog(logName, CFile::modeCreate | CFile::modeNoTruncate | CFile::typeText | CFile::modeRead);

	CString currText = "";
	for (;;){ 
		CString s;
		if (fileLog.ReadString(s)){
			currText = currText + s + "\r\n";
		}else break;
	}
	m_logEdit.SetWindowText(currText);
	fileLog.Close();

	m_logEdit.LineScroll(m_logEdit.GetLineCount());
	int nPos =  LOWORD(m_logEdit.CharFromPos(m_logEdit.GetCaretPos()));;
	m_logEdit.SetSel(nPos, nPos);

}

// Clogtab message handlers
void Clogtab::SaveFile(){

	CString currText;
	m_logEdit.GetWindowText(currText);
	CStdioFile fileLog(logName, CFile::modeCreate | CFile::typeText | CFile::modeWrite);

	while(currText != ""){
		int pos = currText.Find("\r\n");
		if(pos == -1) pos = currText.GetLength();
		CString s = currText.Left(pos);
		fileLog.WriteString(s + "\n");
		if(currText.GetLength() >= 2 + pos)
			currText = currText.Right(currText.GetLength() - 2 - pos);
		else 
			currText = "";
	}

	fileLog.Close();
}

void Clogtab::OnBnClickedButton1()
{
	for(int i = 0; i < currTeams; i++) WriteTransaction(i);
	LoadFile();
}

void Clogtab::OnBnClickedButton2()
{
	SaveFile();
	ReadFile();
	LoadFile();
	UpdateScoreCards();
}

BOOL Clogtab::OnSetActive(){
	if(CPropertyPage::OnSetActive()){
		LoadFile();

		return TRUE;
	}else return FALSE;
}

void Clogtab::OnCancel(){
	return;
}
