// AllControlsSheet.h : header file
//

// This is a part of the Microsoft Foundation Classes C++ library.
// Copyright (c) Microsoft Corporation.  All rights reserved.
//
// This source code is only intended as a supplement to the
// Microsoft Foundation Classes Reference and related
// electronic documentation provided with the library.
// See these sources for detailed information regarding the
// Microsoft Foundation Classes product.

/////////////////////////////////////////////////////////////////////////////
// CSynthesis
#pragma once
#include "teams.h"
#include "countdownDlg.h"
#include "countdownDlgBrain.h"
#include "logtab.h"

class CSynthesis : public CPropertySheet
{
	DECLARE_DYNAMIC(CSynthesis)

// Construction
public:
	CSynthesis(UINT nIDCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 1);
	CSynthesis(LPCTSTR pszCaption, CWnd* pParentWnd = NULL, UINT iSelectPage = 0);

protected:
	void AddControlPages(void);

// Attributes
public:
	CcountdownDlg *pm_countdownDlg;
	CTeams		m_teams;
	Clogtab		m_logtab;

	CcountdownDlg* m_score;
// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSynthesis)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSynthesis();
	virtual BOOL OnInitDialog();
	virtual void OnCancel();
	virtual BOOL OnQueryCancel();

	// Generated message map functions
protected:

	HICON m_hIcon;

	//{{AFX_MSG(CSynthesis)
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
/////////////////////////////////////////////////////////////////////////////

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};
