// Teams.cpp : implementation file
//
// Copyright 2003, Ilya Mironov & Dmitry Teytelman

#include "stdafx.h"
#include "countdown.h"
#include "Teams.h"

bool bIntroduction = false;

// CTeams dialog

IMPLEMENT_DYNAMIC(CTeams, CPropertyPage)
CTeams::CTeams()
	: CPropertyPage(CTeams::IDD, IDS_TEAMS)
{
}

CTeams::~CTeams()
{
}

void CTeams::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_COMBO1, teamEntries[0].m_tbutton);
	DDX_Control(pDX, IDC_EDIT1, teamEntries[0].m_tname);
	DDX_Control(pDX, IDC_COMBO2, teamEntries[1].m_tbutton);
	DDX_Control(pDX, IDC_EDIT2, teamEntries[1].m_tname);
	DDX_Control(pDX, IDC_COMBO3, teamEntries[2].m_tbutton);
	DDX_Control(pDX, IDC_EDIT3, teamEntries[2].m_tname);
	DDX_Control(pDX, IDC_COMBO4, teamEntries[3].m_tbutton);
	DDX_Control(pDX, IDC_EDIT4, teamEntries[3].m_tname);
	DDX_Control(pDX, IDC_COMBO5, teamEntries[4].m_tbutton);
	DDX_Control(pDX, IDC_EDIT5, teamEntries[4].m_tname);
	DDX_Control(pDX, IDC_COMBO6, teamEntries[5].m_tbutton);
	DDX_Control(pDX, IDC_EDIT6, teamEntries[5].m_tname);
	DDX_Control(pDX, IDC_COMBO7, teamEntries[6].m_tbutton);
	DDX_Control(pDX, IDC_EDIT7, teamEntries[6].m_tname);
	DDX_Control(pDX, IDC_COMBO8, teamEntries[7].m_tbutton);
	DDX_Control(pDX, IDC_EDIT8, teamEntries[7].m_tname);
	DDX_Control(pDX, IDC_EDIT9, editSeedCapital);
	DDX_Control(pDX, IDC_SEEDLABEL, m_seedlabel);
	DDX_Control(pDX, IDC_BUTTONINTRO, m_introductionbutton);
	DDX_Control(pDX, IDC_TEAMNAME, m_teamname);
	DDX_Control(pDX, IDC_LABELINTRO, m_labelintro);
}


BEGIN_MESSAGE_MAP(CTeams, CPropertyPage)
//	ON_CBN_SELCHANGE(IDC_COMBO1, OnCbnSelchangeCombo1)
	ON_EN_KILLFOCUS(IDC_EDIT1, OnEnKillfocusEdit)
	ON_EN_KILLFOCUS(IDC_EDIT2, OnEnKillfocusEdit)
	ON_EN_KILLFOCUS(IDC_EDIT3, OnEnKillfocusEdit)
	ON_EN_KILLFOCUS(IDC_EDIT4, OnEnKillfocusEdit)
	ON_EN_KILLFOCUS(IDC_EDIT5, OnEnKillfocusEdit)
	ON_EN_KILLFOCUS(IDC_EDIT6, OnEnKillfocusEdit)
	ON_EN_KILLFOCUS(IDC_EDIT7, OnEnKillfocusEdit)
	ON_EN_KILLFOCUS(IDC_EDIT8, OnEnKillfocusEdit)
	ON_BN_CLICKED(IDC_BUTTON1, OnBnClickedButton1)
//	ON_EN_CHANGE(IDC_EDIT9, OnEnChangeEdit9)
ON_EN_CHANGE(IDC_EDIT9, OnEnChangeEdit9)
ON_EN_KILLFOCUS(IDC_EDIT9, OnEnKillfocusEdit9)
ON_CBN_SELCHANGE(IDC_COMBO1, OnCbnSelchangeCombo)
ON_CBN_SELCHANGE(IDC_COMBO2, OnCbnSelchangeCombo)
ON_CBN_SELCHANGE(IDC_COMBO3, OnCbnSelchangeCombo)
ON_CBN_SELCHANGE(IDC_COMBO4, OnCbnSelchangeCombo)
ON_CBN_SELCHANGE(IDC_COMBO5, OnCbnSelchangeCombo)
ON_CBN_SELCHANGE(IDC_COMBO6, OnCbnSelchangeCombo)
ON_CBN_SELCHANGE(IDC_COMBO7, OnCbnSelchangeCombo)
ON_CBN_SELCHANGE(IDC_COMBO8, OnCbnSelchangeCombo)
ON_BN_CLICKED(IDC_BUTTONINTRO, OnBnClickedButtonintro)
END_MESSAGE_MAP()


// CTeams message handlers
BOOL CTeams::OnInitDialog(){
	if (FALSE == CPropertyPage::OnInitDialog()) return FALSE;

	m_editfont.CreateFont(24, 0, 0, 0, FW_NORMAL, 0, 0, 0, RUSSIAN_CHARSET, 0, 0, 0, 0, "Arial");

	switch(currGame){
		case GAMEBRAINCION:
			m_seedlabel.ShowWindow(SW_SHOW);
			editSeedCapital.ShowWindow(SW_SHOW);
			break;
		case GAMEBRAINMULT:
		case GAMEBRAINRING:
			break;
		case GAMESVOYAK:
			m_teamname.SetWindowText(" ");
			m_labelintro.SetWindowText(" ");
			break;
	}

	for(int i = 0; i < MAXTEAMS; i++){
		teamEntries[i].m_tname.SetFont(&m_editfont);
		teamEntries[i].m_tbutton.SetFont(&m_editfont);
		teamEntries[i].m_tbutton.InitStorage(MAXTEAMS, 10);

		CString str;
		teamEntries[i].m_tbutton.AddString("  ");
		for (int j=0; j < (currGame==GAMEBRAINRING?2:8); j++){ // Brainring only uses the first two buttons
			str.Format("%d", j + 1);
			teamEntries[i].m_tbutton.AddString(str);
		}
	}
	CString s; s.Format("%d",currSeedCapital);
	editSeedCapital.SetWindowText(s);

	bIntroduction = false;

	UpdateScoreCards();
	return TRUE;
}

BOOL CTeams::OnKillActive(){
	if(bIntroduction) // finish the introduction
		OnBnClickedButtonintro();
	return CPropertyPage::OnKillActive();
}


void CTeams::OnEnKillfocusEdit()
{
	for(int i = 0; i < 8; i++){
		CString s;
		teamEntries[i].m_tname.GetWindowText(s);
		ChangeTeamName(i,s);
	}
	UpdateScoreCards();
}

void CTeams::OnBnClickedButton1()
{
   if(IDYES == MessageBox(" ,     ?", "", MB_ICONQUESTION | MB_YESNO))
		ResetScores(currSeedCapital);
}

void CTeams::OnEnChangeEdit9()
{
	int n;
	CString s;
	editSeedCapital.GetWindowText(s);
	if(sscanf(s,"%d",&n) && (n < 1000) && (n > 0))
		currSeedCapital = n;
	else
		MessageBeep(MB_ICONASTERISK);
}

void CTeams::OnEnKillfocusEdit9()
{
	CString s; s.Format("%d",currSeedCapital);
	editSeedCapital.SetWindowText(s);
}

void CTeams::OnCbnSelchangeCombo()
{
	for(int i = 0; i < 8; i++){ 
		if(GetFocus() == &teamEntries[i].m_tbutton){
			int n = teamEntries[i].m_tbutton.GetCurSel();
			ChangeTeamButton(i, n);
		}
	}
	UpdateScoreCards();
}

void CTeams::OnBnClickedButtonintro()
{
	if(bIntroduction){
		m_introductionbutton.SetWindowText("");	
		MessageBeep(MB_OK);
	}else{
		m_introductionbutton.SetWindowText("");
		MessageBeep(MB_OK);
		for(int i = 0; i < 8; i++)
			ChangeTeamButton(i, 0);
		UpdateScoreCards();
		teamEntries[0].m_tbutton.SetFocus();
	}

	bIntroduction = !bIntroduction;
}
